Delete a conversation
https://{kibana_url}
- DELETE /api/security_ai_assistant/current_user/conversations/{id}
Delete an existing conversation using the conversation ID. This endpoint allows users to permanently delete a conversation.
Path Parameters
-
idstring · min: 1required -
The conversation's
idvalue.
Responses
Indicates a successful call. The conversation was deleted successfully.
-
apiConfig -
actionTypeIdstringrequired -
Action type ID
-
connectorIdstringrequired -
Connector ID
-
defaultSystemPromptIdstring -
Default system prompt ID
-
modelstring -
Model
-
createdAtstringrequired -
The time conversation was created.
-
createdByrequired -
Could be any string, not necessarily a UUID.
-
excludeFromLastConversationStorageboolean -
Exclude from last conversation storage.
-
idstring · min: 1required -
A string that does not contain only whitespace characters.
-
messagesobject -
The conversation messages.
-
contentstringrequired -
Message content.
-
idstring · min: 1 -
A string that does not contain only whitespace characters.
-
isErrorboolean -
Is error message.
-
metadata -
Message metadata
-
contentReferencesobject -
A union of all content reference types
-
interruptValue -
Union of the interrupt values
-
expiredboolean -
Whether the interrupt has expired and can no longer be resumed.
-
threadIdstringrequired -
Thread ID of the graph execution that produced this message.
-
descriptionstringrequired -
Description of action required
-
expiredboolean -
Whether the interrupt has expired and can no longer be resumed.
-
threadIdstringrequired -
Thread ID of the graph execution that produced this message.
-
descriptionstring -
Description of action required
-
placeholderstring -
Placeholder text for the input field
-
readerobject -
refusalstring -
Refusal reason returned by the model when content is filtered.
-
timestampstring · min: 1required -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
traceData -
Trace Data
-
traceIdstring -
Could be any string, not necessarily a UUID
-
transactionIdstring -
Could be any string, not necessarily a UUID
-
namespacestringrequired -
Kibana space
-
replacementsobject -
Replacements object used to anonymize/deanonymize messages
-
timestampstring · min: 1 -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
titlestringrequired -
The conversation title.
-
updatedAtstring -
The last time conversation was updated.
Interrupt that requests user to select one of the provided options
Interrupt that requests user to provide text input
Bad Request response.
-
errorstring -
messagestring -
statusCodenumber